Search documentation of wx

# wxMirrorDC (wx v2.4.3.1)

View Source

`wxMirrorDC` is a simple wrapper class which is always associated with a real `wxDC` object and either forwards all of its operations to it without changes (no mirroring takes place) or exchanges `x` and `y` coordinates which makes it possible to reuse the same code to draw a figure and its mirror -- i.e.

reflection related to the diagonal line x == y.

Since: 2.5.0

This class is derived, and can use functions, from:

- `wxDC`

wxWidgets docs: wxMirrorDC

# Summary

## Types

wxMirrorDC()

## Functions

destroy(This)

Destroys the object

new(Dc, Mirror)

Creates a (maybe) mirrored DC associated with the real `dc`.

# Types

# wxMirrorDC()

    -type wxMirrorDC() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxMirrorDC()) -> ok.

Destroys the object

# new(Dc, Mirror)

    -spec new(Dc, Mirror) -> wxMirrorDC() when Dc :: wxDC:wxDC(), Mirror :: boolean().

Creates a (maybe) mirrored DC associated with the real `dc`.

Everything drawn on `wxMirrorDC` will appear (and maybe mirrored) on `dc`.

`mirror` specifies if we do mirror (if it is true) or not (if it is false).